%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:		yelp-tools
Version:	42.1
Release:	%mkrel 3
Summary:	Create, manage, and publish documentation for Yelp
Group:		System/Internationalization
License:	GPLv2+
URL:		https://projects.gnome.org/yelp/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
BuildArch:	noarch
BuildRequires:	pkgconfig(yelp-xsl)
BuildRequires:	itstool
BuildRequires:	xsltproc
BuildRequires:	meson
BuildRequires:	libxml2-utils
BuildRequires:	python3dist(lxml)
Requires:	yelp-xsl
Requires:	libxml2-utils
Requires:	python3dist(lxml)

%description
yelp-tools is a collection of scripts and build utilities to help create,
manage, and publish documentation for Yelp and the web. Most of the heavy
lifting is done by packages like yelp-xsl and itstool. This package just
wraps things up in a developer-friendly way.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson -Dhelp=true
%meson_build

%install
%meson_install
%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS README.md
%{_bindir}/yelp-build
%{_bindir}/yelp-check
%{_bindir}/yelp-new
%{_datadir}/yelp-tools
%{_datadir}/aclocal/yelp.m4


%changelog
* Mon Feb 19 2024 papoteur <papoteur> 42.1-3.mga10
+ Revision: 2042531
- rebuild for python 3.12

* Tue Jan 03 2023 daviddavid <daviddavid> 42.1-2.mga9
+ Revision: 1929417
- add missing dependency on python3-lxml (fc#1932011), thus fixing geeqie htlm doc build

* Wed Nov 02 2022 ghibo <ghibo> 42.1-1.mga9
+ Revision: 1901519
- Fix files list
+ ovitters <ovitters>
- new version 42.1

* Thu Mar 31 2022 tv <tv> 42.0-1.mga9
+ Revision: 1837093
- Update to 42.0

* Tue Mar 15 2022 tv <tv> 42~beta-1.mga9
+ Revision: 1793263
- Update to 42.beta

* Mon Jan 10 2022 tv <tv> 41.0-1.mga9
+ Revision: 1767443
- 41.0

* Thu Mar 25 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1709904
- package the help files
- meson buildssystem
- new version 40.0

* Sun Sep 13 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1625437
- new version 3.38.0

* Sat Aug 08 2020 ovitters <ovitters> 3.37.90-1.mga8
+ Revision: 1612025
- new version 3.37.90

* Sat Feb 15 2020 umeabot <umeabot> 3.32.2-2.mga8
+ Revision: 1526833
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Jul 02 2019 ovitters <ovitters> 3.32.2-1.mga8
+ Revision: 1417604
- new version 3.32.2

* Wed May 08 2019 tmb <tmb> 3.32.1-1.mga7
+ Revision: 1396828
- update to 3.32.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374035
- new version 3.32.0

* Fri Mar 08 2019 daviddavid <daviddavid> 3.31.90-1.mga7
+ Revision: 1372820
- new version: 3.31.90

* Fri Sep 21 2018 umeabot <umeabot> 3.28.0-2.mga7
+ Revision: 1292201
- Mageia 7 Mass Rebuild

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208627
- new version 3.28.0

* Tue Feb 06 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1199349
- new version 3.27.90

* Fri Feb 19 2016 umeabot <umeabot> 3.18.0-2.mga6
+ Revision: 969932
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882874
- new release

* Tue Jul 21 2015 ovitters <ovitters> 3.17.4-1.mga6
+ Revision: 855829
- new version 3.17.4

* Mon Jun 29 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 847636
- new version 3.17.3

* Mon Jun 22 2015 ovitters <ovitters> 3.16.1-1.mga6
+ Revision: 838890
- new version 3.16.1

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 744727
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738533
- new version 3.14.1

* Tue Sep 23 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 721237
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.3-2.mga5
+ Revision: 690831
- Mageia 5 Mass Rebuild

* Mon Jun 23 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 639066
- new version 3.13.3

* Wed Apr 16 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 615296
- new version 3.12.1

* Tue Mar 25 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608224
- new version 3.12.0

* Wed Feb 05 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 582848
- new version 3.11.5

* Sat Oct 19 2013 umeabot <umeabot> 3.10.0-2.mga4
+ Revision: 536500
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484435
- new version 3.10.0

* Mon Aug 19 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 467983
- new version 3.9.90

* Tue Jul 30 2013 dams <dams> 3.9.1-1.mga4
+ Revision: 460930
- new version 3.9.1

* Mon Jan 14 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 387555
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306665
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297244
- new version 3.6.0

* Mon Sep 17 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295507
- new version 3.5.92

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288041
- new version 3.5.91

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231112
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226937
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 224399
- new version 3.3.4

* Thu Feb 23 2012 ovitters <ovitters> 3.3.3-1.mga2
+ Revision: 213509
- new version

* Tue Jan 24 2012 fwang <fwang> 3.3.2-1.mga2
+ Revision: 200504
- new version 3.3.2

* Mon Nov 21 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 170501
- new version 3.3.1

* Mon Oct 17 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 155855
- new version 3.2.1

* Tue Sep 27 2011 ovitters <ovitters> 3.2.0-1.mga2
+ Revision: 149053
- new version 3.2.0

* Tue Sep 20 2011 fwang <fwang> 3.1.7-1.mga2
+ Revision: 146062
- new version 3.1.7

* Tue Sep 06 2011 fwang <fwang> 3.1.6-1.mga2
+ Revision: 139369
- udpdate br
- new version 3.1.6
+ wally <wally>
- imported package yelp-tools

